]> git.ipfire.org Git - thirdparty/apache/httpd.git/commitdiff
CI: Use the apache/httpd-tests github repos for the Perl framework.
authorJoe Orton <jorton@apache.org>
Thu, 21 May 2026 11:35:01 +0000 (11:35 +0000)
committerJoe Orton <jorton@apache.org>
Thu, 21 May 2026 11:35:01 +0000 (11:35 +0000)
(last dependency on use of svn in CI is removed)

Github: closes #651

git-svn-id: https://svn.apache.org/repos/asf/httpd/httpd/trunk@1934474 13f79535-47bb-0310-9956-ffa450edef68

.github/workflows/linux.yml
test/travis_before_linux.sh

index 3cc4907f9ed66ac9ecb6dd8ae708de9aff32e65c..33eced1e760f2cab4d2fc68517aa866d58f0edb7 100644 (file)
@@ -356,6 +356,12 @@ jobs:
                     libnghttp2-dev libjansson-dev libpcre2-dev gdb
                     perl-doc libsasl2-dev ${{ matrix.pkgs }} check
     - uses: actions/checkout@v6
+    - uses: actions/checkout@v6
+      with:
+        repository: apache/httpd-tests
+        path: test/perl-framework
+        submodules: true
+      if: ${{ ! ( env.SKIP_TESTING || env.NO_TEST_FRAMEWORK ) }}
     - name: Cache installed libraries
       uses: actions/cache@v5
       with:
index e85590b99b97031de3db0a3c82e56ff2418584b3..3317c096421e58bcb4407320268a9aa64ab1579a 100755 (executable)
@@ -21,37 +21,6 @@ if grep ip6-localhost /etc/hosts; then
     cat /etc/hosts
 fi
 
-# Use a rudimental retry workflow as workaround to svn export hanging
-# for minutes or failing randomly.  Travis automatically kills a build
-# if one step takes more than 10 minutes without reporting any
-# progress.
-function run_svn_export() {
-   local url=$1
-   local revision=$2
-   local dest_dir=$3
-   local max_tries=$4
-
-   # Disable -e to allow fail/retry
-   set +e
-
-   for i in $(seq 1 $max_tries)
-   do
-       timeout 60 svn export -r ${revision} --force -q $url $dest_dir
-       if [ $? -eq 0 ]; then
-           break
-       else
-           if [ $i -eq $max_tries ]; then
-               exit 1
-           else
-               sleep $((100 * i))
-           fi
-       fi
-   done
-
-   # Restore -e behavior after fail/retry
-   set -e
-}
-
 function install_apx() {
     local name=$1
     local version=$2
@@ -148,16 +117,6 @@ if ! test -v SKIP_TESTING -o -v NO_TEST_FRAMEWORK; then
 
     # Cache the perl -V output for future verification.
     mv perlver ~/perl5/.perlver
-
-    # Make a shallow clone of httpd-tests git repo.
-    git clone -q --depth=1 https://github.com/apache/httpd-tests.git test/perl-framework
-
-    # For OpenSSL 3.2+ testing, Apache::Test r1916067 is required, so
-    # use a checkout of trunk until there is an updated CPAN release
-    # with that revision.
-    if test -v TEST_OPENSSL3; then
-       run_svn_export https://svn.apache.org/repos/asf/perl/Apache-Test/trunk HEAD test/perl-framework/Apache-Test 5
-    fi
 fi
 
 # For LDAP testing, run slapd listening on port 8389 and populate the